Bug 252509 - lang/php74: Update to 7.4.14
Summary: lang/php74: Update to 7.4.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL: https://www.php.net/archive/2021.php#...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-08 10:42 UTC by michael.glaus
Modified: 2021-01-10 21:02 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (tz)


Attachments
Update to 7.4.14 (1.12 KB, patch)
2021-01-08 10:42 UTC, michael.glaus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description michael.glaus 2021-01-08 10:42:11 UTC
Created attachment 221381 [details]
Update to 7.4.14

Changelog: https://www.php.net/ChangeLog-7.php#7.4.14
Comment 1 commit-hook freebsd_committer 2021-01-09 23:50:44 UTC
A commit references this bug:

Author: tz
Date: Sat Jan  9 23:49:59 UTC 2021
New revision: 560906
URL: https://svnweb.freebsd.org/changeset/ports/560906

Log:
  lang/php74: Upgrade from 7.4.13 to 7.4.14

      Core:
          Fixed bug #74558 (Can't rebind closure returned by Closure::fromCallable()).
          Fixed bug #80345 (PHPIZE configuration has outdated PHP_RELEASE_VERSION).
          Fixed bug #72964 (White space not unfolded for CC/Bcc headers).
          Fixed bug #80362 (Running dtrace scripts can cause php to crash).
          Fixed bug #80393 (Build of PHP extension fails due to configuration gap with libtool).
          Fixed bug #80402 (configure filtering out -lpthread).
          Fixed bug #77069 (stream filter loses final block of data).
      Fileinfo:
          Fixed bug #77961 (finfo_open crafted magic parsing SIGABRT).
      FPM:
          Fixed bug #69625 (FPM returns 200 status on request without SCRIPT_FILENAME env).
      Intl:
          Fixed bug #80425 (MessageFormatAdapter::getArgTypeList redefined).
      OpenSSL:
          Fixed bug #80368 (OpenSSL extension fails to build against LibreSSL due to lack of OCB support).
      Phar:
          Fixed bug #73809 (Phar Zip parse crash - mmap fail).
          Fixed bug #75102 (`PharData` says invalid checksum for valid tar).
          Fixed bug #77322 (PharData::addEmptyDir('/') Possible integer overflow).
      PDO MySQL:
          Fixed bug #80458 (PDOStatement::fetchAll() throws for upsert queries).
          Fixed bug #63185 (nextRowset() ignores MySQL errors with native prepared statements).
          Fixed bug #78152 (PDO::exec() - Bad error handling with multiple commands).
          Fixed bug #70066 (Unexpected "Cannot execute queries while other unbuffered queries").
          Fixed bug #71145 (Multiple statements in init command triggers unbuffered query error).
          Fixed bug #76815 (PDOStatement cannot be GCed/closeCursor-ed when a PROCEDURE resultset SIGNAL).
      Standard:
          Fixed bug #77423 (FILTER_VALIDATE_URL accepts URLs with invalid userinfo). (CVE-2020-7071)
          Fixed bug #80366 (Return Value of zend_fstat() not Checked).
          Fixed bug #80411 (References to null-serialized object break serialize()).
      Tidy:
          Fixed bug #77594 (ob_tidyhandler is never reset).
      Zlib:
          Fixed #48725 (Support for flushing in zlib stream).

  PR:		252509
  Submitted by:	<michael.glaus@hostpoint.ch>

Changes:
  head/lang/php74/Makefile
  head/lang/php74/distinfo
  head/security/php74-openssl/files/
Comment 2 Torsten Zuehlsdorff freebsd_committer 2021-01-09 23:54:20 UTC
Committed, thank you! :)
Comment 3 commit-hook freebsd_committer 2021-01-10 21:02:55 UTC
A commit references this bug:

Author: tz
Date: Sun Jan 10 21:02:29 UTC 2021
New revision: 561109
URL: https://svnweb.freebsd.org/changeset/ports/561109

Log:
  MFH: r560906

  lang/php74: Upgrade from 7.4.13 to 7.4.14

      Core:
          Fixed bug #74558 (Can't rebind closure returned by Closure::fromCallable()).
          Fixed bug #80345 (PHPIZE configuration has outdated PHP_RELEASE_VERSION).
          Fixed bug #72964 (White space not unfolded for CC/Bcc headers).
          Fixed bug #80362 (Running dtrace scripts can cause php to crash).
          Fixed bug #80393 (Build of PHP extension fails due to configuration gap with libtool).
          Fixed bug #80402 (configure filtering out -lpthread).
          Fixed bug #77069 (stream filter loses final block of data).
      Fileinfo:
          Fixed bug #77961 (finfo_open crafted magic parsing SIGABRT).
      FPM:
          Fixed bug #69625 (FPM returns 200 status on request without SCRIPT_FILENAME env).
      Intl:
          Fixed bug #80425 (MessageFormatAdapter::getArgTypeList redefined).
      OpenSSL:
          Fixed bug #80368 (OpenSSL extension fails to build against LibreSSL due to lack of OCB support).
      Phar:
          Fixed bug #73809 (Phar Zip parse crash - mmap fail).
          Fixed bug #75102 (`PharData` says invalid checksum for valid tar).
          Fixed bug #77322 (PharData::addEmptyDir('/') Possible integer overflow).
      PDO MySQL:
          Fixed bug #80458 (PDOStatement::fetchAll() throws for upsert queries).
          Fixed bug #63185 (nextRowset() ignores MySQL errors with native prepared statements).
          Fixed bug #78152 (PDO::exec() - Bad error handling with multiple commands).
          Fixed bug #70066 (Unexpected "Cannot execute queries while other unbuffered queries").
          Fixed bug #71145 (Multiple statements in init command triggers unbuffered query error).
          Fixed bug #76815 (PDOStatement cannot be GCed/closeCursor-ed when a PROCEDURE resultset SIGNAL).
      Standard:
          Fixed bug #77423 (FILTER_VALIDATE_URL accepts URLs with invalid userinfo). (CVE-2020-7071)
          Fixed bug #80366 (Return Value of zend_fstat() not Checked).
          Fixed bug #80411 (References to null-serialized object break serialize()).
      Tidy:
          Fixed bug #77594 (ob_tidyhandler is never reset).
      Zlib:
          Fixed #48725 (Support for flushing in zlib stream).

  PR:		252509
  Submitted by:	<michael.glaus@hostpoint.ch>

Changes:
_U  branches/2021Q1/
  branches/2021Q1/lang/php74/Makefile
  branches/2021Q1/lang/php74/distinfo
  branches/2021Q1/security/php74-openssl/files/